[RFC] Update to current automake/autoconf/libtool versions.

Alexandre Oliva aoliva@redhat.com
Sun Jan 12 13:22:00 GMT 2003


On Dec 31, 2002, Klee Dienes <klee@apple.com> wrote:

>>> * acinclude.m4: Remove include of libtool.m4.

>> Can't let you do that, Dave.  This causes us to use whatever
>> libtool.m4 happens to be in aclocal.m4's search path, which is very
>> likely not compatible with ltmain.sh from the top level.  That's why
>> we use libtool.m4 from the top level and keep all the libtool files in
>> sync.  I wouldn't mind updating to the libtool current CVS tree, which
>> would get us rid of a number of files in the top level, but this takes
>> a lot of testing on many different platforms.

> Given that in theory anyone running aclocal or autoconf should be
> running "official" and well-defined versions of those tools, they
> should also be getting correct values for the contents of libtool.m4.
> If their installed libtool.m4 is incompatible with the shipped
> ltmain.sh, who is to say that their installed acgeneral.m4 won't be
> incompatible with a shipped libtool.m4?  I'd argue that libtool.m4 is
> part of the autoconf environment, and that we should just require
> people running aclocal or autoconf to have the correct installations
> of the tools (as in theory we already do).

I disagree, and the libtool manual recommends this practice precisely
to make sure the libtool files remain in sync.  I see the revised
patch you just posted still has ChangeLog entries that say they're
removing the include statements.  I hope it was just a mistake.  If it
was not, please remove those changes and post a new patch, this time
copying gcc-patches@gcc.gnu.org instead of gcc@gcc.gnu.org.  Letting
random macros kick in from the user's installation of aclocal is a
mistake in general (or not kicking in at all, in case the
officially-recommended versions of automake and libtool were installed
in different prefixes), since there's no way to make sure they're
compatible with other files that may depend on it.  That's why there
is AC_PREREQ, but there's no such thing that affects aclocal's
behavior, so we're better off making sure we use the right version of
these files.

-- 
Alexandre Oliva   Enjoy Guarana', see http://www.ic.unicamp.br/~oliva/
Red Hat GCC Developer                 aoliva@{redhat.com, gcc.gnu.org}
CS PhD student at IC-Unicamp        oliva@{lsd.ic.unicamp.br, gnu.org}
Free Software Evangelist                Professional serial bug killer



More information about the Binutils mailing list